Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFSDatatypeFactory

All Known Implementing Classes:
  DefaultRDFSDatatypeFactory

    public interface RDFSDatatypeFactory

An interface for objects that can create user-defined XML Schema datatypes. This has been abstracted so that alternative implementations can be provides until the RDF/OWL specification has found a suitable solution.

Author:
  Holger Knublauch

Method Summary
`RDFSDatatype` | `createAnonymousDatatype(RDFSDatatype baseType)`
`RDFSDatatype` | `createDatatype(RDFSDatatype baseType, String name)`
`void` | `setLength(RDFSDatatype datatype, int value)`
`void` | `setMaxExclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMaxInclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMaxLength(RDFSDatatype datatype, int value)`
`void` | `setMinExclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMinInclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMinLength(RDFSDatatype datatype, int value)`
`void` | `setPattern(RDFSDatatype datatype, String value)`

Method Detail

### createAnonymousDatatype

    RDFSDatatype createAnonymousDatatype(RDFSDatatype baseType)

### createDatatype

    RDFSDatatype createDatatype(RDFSDatatype baseType,
                                String name)

### setLength

    void setLength(RDFSDatatype datatype,
                   int value)

### setMaxExclusive

    void setMaxExclusive(RDFSDatatype datatype,
                         RDFSLiteral literal)

### setMaxInclusive

    void setMaxInclusive(RDFSDatatype datatype,
                         RDFSLiteral literal)

### setMaxLength

    void setMaxLength(RDFSDatatype datatype,
                      int value)

### setMinExclusive

    void setMinExclusive(RDFSDatatype datatype,
                         RDFSLiteral literal)

### setMinInclusive

    void setMinInclusive(RDFSDatatype datatype,
                         RDFSLiteral literal)

### setMinLength

    void setMinLength(RDFSDatatype datatype,
                      int value)

### setPattern

    void setPattern(RDFSDatatype datatype,
                    String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.